%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for Qt4 Webkit
Name: PyQt4-webkit
Version: 4.6.2
Release: 8%{?dist}

# GPLv2 exceptions(see GPL_EXCEPTIONS*.txt)
License: GPLv3 or GPLv2 with exceptions
Group: Development/Languages
Url: http://www.riverbankcomputing.com/software/pyqt/
# it's same source code PyQt4 which is included in EL6
Source0: http://www.riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fix 64bit issue
Patch1:  PyQt-x11-gpl-4.4.4-64bit.patch

# workaround build problem with QT_SHARED
Patch2:  PyQt-x11-gpl-4.5.2-QT_SHARED.patch

# add correct path for phonon header file
Patch3:  PyQt-x11-gpl-4.6.2-phonon.patch

# add missing shebang
Patch4:  PyQt-x11-gpl-4.5.1-pyuic_shebang.patch

# fix multilib conflict because of timestamp
Patch5:  PyQt-x11-gpl-4.6.2-timestamp-multilib.patch

BuildRequires: qtwebkit-devel
BuildRequires: dbus-devel dbus-python-devel
BuildRequires: findutils
BuildRequires: phonon-devel
BuildRequires: qt4-devel >= 4.5.0-7
BuildRequires: python-devel
BuildRequires: sip-devel >= 4.9.3

Requires: dbus-python
Requires: PyQt4
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description
These are Python bindings for Qt4 Webkit

%package devel
Summary: Files needed to build other bindings based on Qt4
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Requires: sip-devel
Requires: PyQt4-devel

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).

%prep
%setup -q -n PyQt-x11-gpl-%{version}

%patch1 -p1 -b .64bit
%patch2 -p1 -b .QT_SHARED
%patch3 -p1 -b .phonon
%patch4 -p1 
%patch5 -p1 -b .timestamp

%build

QT4DIR=%{_qt4_prefix}
PATH=%{_qt4_bindir}:$PATH ; export PATH

%{__python} configure.py \
  --confirm-license \
  --qmake=%{_qt4_qmake} \
  --verbose 

make %{?_smp_mflags} -C QtWebKit/


%install
rm -rf %{buildroot}

make -C QtWebKit install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc NEWS README
%doc OPENSOURCE-NOTICE.TXT
%doc LICENSE.GPL2 GPL_EXCEPTION*.TXT
%doc LICENSE.GPL3
%{python_sitearch}/PyQt4/QtWebKit.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/sip/PyQt4/

%changelog
* Mon Feb 13 2012 Than Ngo <than@redhat.com> - 4.6.2-8
- webkit subpackage for PyQt4
